<?php

namespace Litecms\TeamMemebers\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TeamMemberTransformer extends TransformerAbstract
{
    public function transform(\Litecms\TeamMemebers\Models\TeamMember $team_member)
    {
        return [
            'id'                => $team_member->getRouteKey(),
            'key'               => [
                'public'    => $team_member->getPublicKey(),
                'route'     => $team_member->getRouteKey(),
            ], 
            'real_id'           => $team_member->real_id,
            'images'            => $team_member->images,
            'name'              => $team_member->name,
            'url'               => [
                'public'    => trans_url('team_memebers/'.$team_member->getPublicKey()),
                'user'      => guard_url('team_memebers/team_member/'.$team_member->getRouteKey()),
            ], 
            'status'            => trans('app.'.$team_member->status),
            'created_at'        => format_date($team_member->created_at),
            'updated_at'        => format_date($team_member->updated_at),
        ];
    }
}