<?php

namespace Litecms\TeamMemebers;

use User;

class TeamMemebers
{
    /**
     * $team_member object.
     */
    protected $team_member;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\TeamMemebers\Interfaces\TeamMemberRepositoryInterface $team_member)
    {
        $this->team_member = $team_member;
    }

    /**
     * Returns count of team_memebers.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.team_member.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->team_member->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\TeamMemberUserCriteria());
        }

        $team_member = $this->team_member->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('team_memebers::' . $view, compact('team_member'))->render();
    }
}
